curl
curl --request PATCH \
--url https://example.algolia.net/agent-studio/1/secret-keys/lorem \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"name": "lorem",
"agentIds": [
"lorem"
]
}
'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.UpdateSecretKeyAsync(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
new SecretKeyPatch
{
Name = "renamed-key",
AgentIds = new List<string> { "76710f1b-8231-42e5-b0d1-f43aac618e15" },
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.updateSecretKey(
secretKeyId: "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch: SecretKeyPatch(
name: "renamed-key",
agentIds: [
"76710f1b-8231-42e5-b0d1-f43aac618e15",
],
),
);
// print the response
print(response);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.UpdateSecretKey(client.NewApiUpdateSecretKeyRequest(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
agentStudio.NewEmptySecretKeyPatch().SetName("renamed-key").SetAgentIds(
[]string{"76710f1b-8231-42e5-b0d1-f43aac618e15"})))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SecretKeyResponse response = client.updateSecretKey(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
new SecretKeyPatch().setName("renamed-key").setAgentIds(Arrays.asList("76710f1b-8231-42e5-b0d1-f43aac618e15"))
);
// print the response
System.out.println(response);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.updateSecretKey({
secretKeyId: 'a1b2c3d4-5678-90ab-cdef-123456789abc',
secretKeyPatch: { name: 'renamed-key', agentIds: ['76710f1b-8231-42e5-b0d1-f43aac618e15'] },
});
// print the response
console.log(response);// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.updateSecretKey(
secretKeyId = "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch =
SecretKeyPatch(
name = "renamed-key",
agentIds = listOf("76710f1b-8231-42e5-b0d1-f43aac618e15"),
),
)
// print the response
println(response)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->updateSecretKey(
'a1b2c3d4-5678-90ab-cdef-123456789abc',
['name' => 'renamed-key',
'agentIds' => [
'76710f1b-8231-42e5-b0d1-f43aac618e15',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.update_secret_key(
secret_key_id="a1b2c3d4-5678-90ab-cdef-123456789abc",
secret_key_patch={
"name": "renamed-key",
"agentIds": [
"76710f1b-8231-42e5-b0d1-f43aac618e15",
],
},
)
# print the response
print(response)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.update_secret_key(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
Algolia::AgentStudio::SecretKeyPatch.new(name: "renamed-key", agent_ids: ["76710f1b-8231-42e5-b0d1-f43aac618e15"])
)
# print the response
puts(response)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.updateSecretKey(
secretKeyId = "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch = SecretKeyPatch(
name = Some("renamed-key"),
agentIds = Some(Seq("76710f1b-8231-42e5-b0d1-f43aac618e15"))
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.updateSecretKey(
secretKeyId: "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch: SecretKeyPatch(name: "renamed-key", agentIds: ["76710f1b-8231-42e5-b0d1-f43aac618e15"])
)
// print the response
print(response){
"agentIds": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"lastUsedAt": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"value": "<string>",
"isDefault": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Secret keys
Patch Secret Key
Patch Secret Key.
PATCH
/
1
/
secret-keys
/
{secretKeyId}
curl
curl --request PATCH \
--url https://example.algolia.net/agent-studio/1/secret-keys/lorem \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"name": "lorem",
"agentIds": [
"lorem"
]
}
'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.UpdateSecretKeyAsync(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
new SecretKeyPatch
{
Name = "renamed-key",
AgentIds = new List<string> { "76710f1b-8231-42e5-b0d1-f43aac618e15" },
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.updateSecretKey(
secretKeyId: "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch: SecretKeyPatch(
name: "renamed-key",
agentIds: [
"76710f1b-8231-42e5-b0d1-f43aac618e15",
],
),
);
// print the response
print(response);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.UpdateSecretKey(client.NewApiUpdateSecretKeyRequest(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
agentStudio.NewEmptySecretKeyPatch().SetName("renamed-key").SetAgentIds(
[]string{"76710f1b-8231-42e5-b0d1-f43aac618e15"})))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SecretKeyResponse response = client.updateSecretKey(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
new SecretKeyPatch().setName("renamed-key").setAgentIds(Arrays.asList("76710f1b-8231-42e5-b0d1-f43aac618e15"))
);
// print the response
System.out.println(response);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.updateSecretKey({
secretKeyId: 'a1b2c3d4-5678-90ab-cdef-123456789abc',
secretKeyPatch: { name: 'renamed-key', agentIds: ['76710f1b-8231-42e5-b0d1-f43aac618e15'] },
});
// print the response
console.log(response);// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.updateSecretKey(
secretKeyId = "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch =
SecretKeyPatch(
name = "renamed-key",
agentIds = listOf("76710f1b-8231-42e5-b0d1-f43aac618e15"),
),
)
// print the response
println(response)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->updateSecretKey(
'a1b2c3d4-5678-90ab-cdef-123456789abc',
['name' => 'renamed-key',
'agentIds' => [
'76710f1b-8231-42e5-b0d1-f43aac618e15',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.update_secret_key(
secret_key_id="a1b2c3d4-5678-90ab-cdef-123456789abc",
secret_key_patch={
"name": "renamed-key",
"agentIds": [
"76710f1b-8231-42e5-b0d1-f43aac618e15",
],
},
)
# print the response
print(response)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.update_secret_key(
"a1b2c3d4-5678-90ab-cdef-123456789abc",
Algolia::AgentStudio::SecretKeyPatch.new(name: "renamed-key", agent_ids: ["76710f1b-8231-42e5-b0d1-f43aac618e15"])
)
# print the response
puts(response)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.updateSecretKey(
secretKeyId = "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch = SecretKeyPatch(
name = Some("renamed-key"),
agentIds = Some(Seq("76710f1b-8231-42e5-b0d1-f43aac618e15"))
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.updateSecretKey(
secretKeyId: "a1b2c3d4-5678-90ab-cdef-123456789abc",
secretKeyPatch: SecretKeyPatch(name: "renamed-key", agentIds: ["76710f1b-8231-42e5-b0d1-f43aac618e15"])
)
// print the response
print(response){
"agentIds": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"lastUsedAt": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"value": "<string>",
"isDefault": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}This is a beta feature according to Algolia’s Terms of Service (“Beta Services”).
Authorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
The secretKeyId.
Body
application/json
Last modified on June 15, 2026
Was this page helpful?
⌘I